Results 1 to 7 of 7
Discuss [Firmware] 2.0 Beta 5 > Puzzled with upgrading at the iPhone Developer Exchange - Hackint0sh.org; Consider the fact that I do not have a dev certificate to activate the 2.0 ...
  1. #1
    Professional Array Cekle's Avatar

    Join Date
    Nov 2007
    Location
    California, USA
    Posts
    88
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    11

    Default [Firmware] 2.0 Beta 5 > Puzzled with upgrading

    Consider the fact that I do not have a dev certificate to activate the 2.0 Beta 5 firmware with before reading this post.

    Am I right in the assumption that without said dev certificate, it's impossible to use the latest beta firmware?

    Also, with the latest screenshots from ChronicDev, is the latest firmware unlocked as well? Or will it show the bars and not allow calling?

    Sorry if this has been posted elsewhere, I'm just a bit confused. I tried searching around, and couldn't find an answer.
    Professional Unprofessional.



  2. #2
    Amazingly Knowledgeable Array

    Join Date
    Oct 2007
    Posts
    790
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    54

    Default

    You can't use the beta unless your a paid member of the iphone dev beta program that costs $99.

    It won't activate unless you paid Apple your money for that even if your on an official iPhone contract on an official network. therefore it is IMPOSSIBLE to use unless your a part of that!

    However, the first 3 betas can be used by anyone as pwnage works with them - read the FAQ for more information however those betas are unstable and lacking lots of features and therefore not worth upgrading to.
    iPhone US 8GB
    FW 1.0.2--> iUnlock--> iPhoneSIMfree--> 1.1.1 --> 1.1.2--> Soft upgrade 1.1.3 --> 1.1.4 using signal.app
    iPhone UK 16GB
    FW 1.1.3 OOB --> 1.1.4 --> iPlus 1.2 unlocked!

    <----If I helped you out, rep points are always nice (thanks for that idea!)

  3. #3
    Advanced Array

    Join Date
    Oct 2007
    Posts
    49
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    I add this question regarding this subject.

    Is it possible to use Beta3 SDK with the latest firmware from Beta5 SDK?

    Thanks

  4. #4
    Newbie Array

    Join Date
    Apr 2008
    Posts
    5
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    Quote Originally Posted by Spinstorm View Post
    You can't use the beta unless your a paid member of the iphone dev beta program that costs $99.

    It won't activate unless you paid Apple your money for that even if your on an official iPhone contract on an official network. therefore it is IMPOSSIBLE to use unless your a part of that!

    However, the first 3 betas can be used by anyone as pwnage works with them - read the FAQ for more information however those betas are unstable and lacking lots of features and therefore not worth upgrading to.
    Not true. Beta 4 works just fine for anybody who is on AT&T (without pwnage). It's not just the first 3.

  5. #5
    Newbie Array

    Join Date
    Mar 2008
    Posts
    9
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    yeah but are those legit AT&T users also in the $99 developer program? I mean it probably won't work for those who aren't a part of that right? Or will it work for anyone, even those who aren't in the developer program but are also legit AT&T users?

    I would like to try to upgrade my pwn 1.1.4 phone to 2.0b5 if it will work? Anyone?


  6. #6
    Amazingly Knowledgeable Array

    Join Date
    Oct 2007
    Posts
    790
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    54

    Default

    But if you try Beta 3 then you end up relocking your phone and removing the jailbreak.

    Obviously if you stay on AT&T it doesn't matter but if you wanted to keep a jailbreaked and unlocked phone you would have to wait for pwnage or use the first 3 betas.

    I am also very reluctant for you or anyone else to be encouranging people to upgrade to beta 4 or 5 unofficially as there is a risk to any beta.
    iPhone US 8GB
    FW 1.0.2--> iUnlock--> iPhoneSIMfree--> 1.1.1 --> 1.1.2--> Soft upgrade 1.1.3 --> 1.1.4 using signal.app
    iPhone UK 16GB
    FW 1.1.3 OOB --> 1.1.4 --> iPlus 1.2 unlocked!

    <----If I helped you out, rep points are always nice (thanks for that idea!)

  7. #7
    Newbie Array

    Join Date
    Apr 2008
    Posts
    5
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    Quote Originally Posted by digiz View Post
    yeah but are those legit AT&T users also in the $99 developer program? I mean it probably won't work for those who aren't a part of that right? Or will it work for anyone, even those who aren't in the developer program but are also legit AT&T users?

    I would like to try to upgrade my pwn 1.1.4 phone to 2.0b5 if it will work? Anyone?
    Ok, I won't "encourage" doing this - because it caused me a major headache that took me a long time to recover from. But, the truth is Beta 4 WILL work with ANY at&t iphone regardless of 'developer' status. Anybody can install and use it since they apparently didn't include the cert check on it. Beta 5 might be another story.

    What I had to do:

    Find B4 ipsw
    Download B4 SDK (you can't properly read the ipsw without this fully installed)
    Restart
    Restore iPhone using B4 ipsw.

    I made the mistake of trying this WITHOUT installing the B4 SDK and got screwed. Apparently there is some new 'encodng' that requires some new stuff from the SDK install for it to read properly. Otherwise, it will look like it's installing, but then fail at the end (which left me w/ a PSOD brick)

    On top of that, I have a PPC iBook, so I had to jump through hoops in order to install ALL of the SDK that I needed to properly update my phone.

    I reiterate, you risk being bricked by this - so don't do this if you aren't willing to deal with that.
    Last edited by amcclay; 05-08-2008 at 05:32 AM.

 

 

Similar Threads

  1. Replies: 1
    Last Post: 07-25-2008, 05:27 PM
  2. Replies: 1
    Last Post: 07-25-2008, 05:25 PM
  3. Replies: 0
    Last Post: 07-11-2008, 10:41 PM
  4. [Firmware] 2.0 Beta 5a258f Expired - Non Dev Certs Beta
    By rvashi in forum iPhone Developer Exchange
    Replies: 2
    Last Post: 06-04-2008, 09:13 PM
  5. [Firmware] 2.0 Beta build 5A258f, beta 4 is out!
    By PathDaemon in forum iPhone Developer Exchange
    Replies: 30
    Last Post: 04-26-2008, 11:26 AM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Powered by vBulletin®
Copyright © 2014 vBulletin Solutions, Inc. All rights reserved.
Search Engine Friendly URLs by vBSEO
(c) 2006-2012 Hackint0sh.org
All times are GMT +2. The time now is 03:05 PM.
twitter, follow us!